Customer Trust
List customer trust accounts
List customer trust accounts with pagination.
GET
/
customer-trust
/
accounts
List customer trust accounts
curl --request GET \
--url https://api.vanta.com/v1/customer-trust/accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/customer-trust/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/customer-trust/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": false,
"startCursor": "cursor1",
"endCursor": "cursor2"
},
"data": [
{
"id": "507f1f77bcf86cd799439011",
"name": "Acme Corporation",
"emailDomain": "acme.com",
"createdDate": "2024-01-01T00:00:00.000Z",
"updatedDate": "2024-01-02T00:00:00.000Z",
"ndaDetails": {
"ndaStatus": "SIGNED",
"ndaSatisfiedDate": "2024-01-02T00:00:00.000Z"
},
"accessConfig": {
"autoApprovalEnabled": false,
"grantAccessOption": "INCLUDE_EVERYTHING_REQUESTED"
},
"customFields": [
{
"label": "externalId",
"value": "12345"
}
],
"tagsByCategory": [
{
"categoryId": "507f1f77bcf86cd799439012",
"tagIds": [
"507f1f77bcf86cd799439013"
]
}
]
}
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Controls the maximum number of items returned in one response from the API.
Required range:
1 <= x <= 100A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.
Response
200 - application/json
Ok
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List customer trust accounts
